[viewBag]

[Cart]

[CartHelper CartHelperCart]
debug = 0
category_filters = 0

[OrderHelper]
mode = "ajax"
flash_on = 1
redirect_on = 1
redirect_page = "order-success"
==
<tbody>
    <tr>
        <td><strong>{{'Prodotto'|_}}</strong></td>
        <td><strong>{{'Totale'|_}}</strong></td>
    </tr>
    {% set obCartPositionList = Cart.get() %}
	{% for obCartPosition in obCartPositionList %}
		{% set obOffer = obCartPosition.offer %}
		{% set obProduct = obOffer.product %}
		<tr>
            <td>
                <a href="/prodotto/{{obProduct.slug}}"><p class="fnt-blk"> {{obCartPosition.quantity}} x &nbsp;&nbsp;&nbsp; {{ obProduct.name |upper}} - {{ obCartPosition.customized_content ? obCartPosition.customized_content : obOffer.name }}</p></a>
            </td>
            <td class="number-font">
            	{% if obOffer.old_price and obOffer.old_price != '0.00' %}
            		<del> {{obOffer.old_price * obCartPosition.quantity}} {{ obOffer.currency }}</del><br>
            	{% elseif arCouponList[0] %}
            		<del> {{obOffer.price * obCartPosition.quantity}} {{ obOffer.currency }}</del><br>
            	{% endif %}
            	{{ obCartPosition.price|priceformat }} {{ obOffer.currency }}
        	</td>
        </tr>
    {% endfor %}
    <tr>
        <td><strong>{{'Subtotale'|_}}</strong></td>
        <td class="number-font">{{ obCartPositionList.getTotalPrice()|priceformat }} {{ Cart.currency }}</td>
    </tr>
    <tr>
        <td><strong>{{'Spedizione'|_}}</strong></td>
        <td></td>
    </tr>
    
    {% if shipmentList.isNotEmpty()  %}
		{% for obShippingType in shipmentList %}
			<tr id="shipping-radio" class="tr-{{obShippingType.code|slice(0,2)}}">
            	<td class="ps-radio"><input class="form-control" type="radio" name="shipping_type_id" id="shipping-type-{{ obShippingType.id }}" value="{{ obShippingType.id }}" onchange="setShippingType(this.value)">&nbsp<label for="shipping-type-{{ obShippingType.id }}">{{ obShippingType.name }} </label></td>
				<td class="number-font">{{ obShippingType.price |priceformat}} {{ obShippingType.currency }}</td>
            </tr>
    	{% endfor %}
    {% endif %}
    {% if alternativeShipmentList.isNotEmpty()  %}
		{% for obShippingType in alternativeShipmentList %}
			<tr id="shipping-radio" class="tr-{{obShippingType.code|slice(0,2)}}" style="display:none;">
            	<td class="ps-radio"><input class="form-control" type="radio" name="shipping_type_id" id="shipping-type-{{ obShippingType.id }}" value="{{ obShippingType.id }}" onchange="setShippingType(this.value)">&nbsp<label for="shipping-type-{{ obShippingType.id }}">{{ obShippingType.name }} </label></td>
				<td class="number-font">{{ obShippingType.price |priceformat}} {{ obShippingType.currency }}</td>
            </tr>
    	{% endfor %}
    {% endif %}
    
    <tr>
    	<td>
        	* {{'I tempi di spedizioni per articoli personalizzati potrebbero subire ritardi'|_}}
        </td>
        <td></td>
    </tr>
    
    <tr id="totalCart" class="total">
        <td><strong>Total</strong></td>
        <td class="number-font"><span class="cart__total-price-price-value">{{ Cart.getTotalPrice() |priceformat}}</span> {{ Cart.currency }}</td>
    </tr>
    {% if arCouponList[0] %}
        <tr>
            <td class="inpt-coup">
            	<label class="coupon-txt">Coupon: {{arCouponList[0].code}}</label><br><label class="coupon-txt">{{'Sconto'|_}}: -{{arCouponList[0].coupon_group.mechanism.discount_value}}{{arCouponList[0].coupon_group.mechanism.discount_type == 'percent' ? '%'}}</label>
            </td>
            <td class="btn-coup">
            	<input id="coupon" type="hidden" value="{{arCouponList[0].code}}">
				<button type="button" onclick="removeCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{% if Agent.isMobile()%}{{'Rimuovi'|_}}{% else %}{{'Rimuovi Coupon'|_}}{% endif %}</button>
            </td>
        </tr>
	{% else %}
		<tr>
            <td class="inpt-coup">
            	<input id="coupon" class="form-control wdt-77 mx-wd-80" type="text" placeholder="{{'Codice del buono'|_}}">
            </td>
            <td class="btn-coup">
            	<button type="button" onclick="addCoupon()" class="ps-btn ps-btn--outline ps-btn--black btn-coupon">{% if Agent.isMobile()%}{{'Applica'|_}}{% else %}{{'Applica Coupon'|_}}{% endif %}</button>
            </td>
        </tr>
	{% endif %}
</tbody>